<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.tropicalseo.net
 * @since      1.0.0
 *
 * @package    DashyLite
 * @subpackage DashyLite/admin/partials
 */

//Grab all options
$options = get_option($this->plugin_name);

if(empty($options['view'])){
	$options['view'] = '';
}

$client = new Google_Client();
$client->setAccessType('offline'); // default: offline
$client->setApplicationName('Dashy Lite');
$client->setAuthConfig( dirname( __FILE__ ) . '/google.json');

$client->addScope(Google_Service_Analytics::ANALYTICS_READONLY);

$url = $client->createAuthUrl();

if(isset($_POST['code']) &&  strlen( $_POST['code'] ) ){
	$token = $client->authenticate($_POST['code']);
	$access_token = $client->getAccessToken();
	$client->setAccessToken($access_token);
    $analytics = new Google_Service_Analytics($client);
	$accounts = $analytics->management_accountSummaries->listManagementAccountSummaries();
}

if(!empty($options['token'])){
	$client->setAccessToken($options['token']);
    $analytics = new Google_Service_Analytics($client);
	$accounts = $analytics->management_accountSummaries->listManagementAccountSummaries();
	$access_token = $client->getAccessToken();
}

?>
<script type="text/javascript">

function requestGoogleoAuthCode() {

    var popupurl = '<?php echo $url; ?>';
    var win =   window.open(popupurl, "googleauthwindow", 'width=800, height=600'); 

  }
	
</script>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">

    <?php 
    	if(!empty($access_token)){
    ?>
    <h1>Choose your Google Analytics View</h1>
    <form method="post" name="cleanup_options" action="options.php">

	    <?php
	        settings_fields($this->plugin_name);
	        do_settings_sections($this->plugin_name);
	    ?>

        <fieldset>
            <p>Choose your view</p>
            <legend class="screen-reader-text"><span><?php _e('Choose your preferred view', $this->plugin_name); ?></span></legend>
            <input type="hidden" class="regular-text" id="<?php echo $this->plugin_name; ?>-token" name="<?php echo $this->plugin_name; ?>[token][access_token]" value="<?php echo $access_token['access_token']; ?>"/>
            <input type="hidden" class="regular-text" id="<?php echo $this->plugin_name; ?>-token" name="<?php echo $this->plugin_name; ?>[token][token_type]" value="<?php echo $access_token['token_type']; ?>"/>
            <input type="hidden" class="regular-text" id="<?php echo $this->plugin_name; ?>-token" name="<?php echo $this->plugin_name; ?>[token][expires_in]" value="<?php echo $access_token['expires_in']; ?>"/>
            <input type="hidden" class="regular-text" id="<?php echo $this->plugin_name; ?>-token" name="<?php echo $this->plugin_name; ?>[token][refresh_token]" value="<?php echo $access_token['refresh_token']; ?>"/>
            <input type="hidden" class="regular-text" id="<?php echo $this->plugin_name; ?>-token" name="<?php echo $this->plugin_name; ?>[token][created]" value="<?php echo $access_token['created']; ?>"/>

            <select class="regular-text" id="<?php echo $this->plugin_name; ?>-view" name="<?php echo $this->plugin_name; ?>[view]">

	    <?php
	        foreach ($accounts->getItems() as $item) {
	            foreach($item->getWebProperties() as $wp){
	            	?>
					<optgroup value="<?php echo($wp['id']); ?>" label="<?php echo($wp['name']) ?>">
					<?php
	                foreach($wp->getProfiles() as $view){
	                	?>
						<option value="<?php echo($view['id']); ?>" <?php echo ($options['view'] == $view['id']) ? 'selected="selected"' : "" ?> ><?php echo($view['name']) ?></option>
					<?php
	                }
	                ?>
	                </optgroup>
	                <?php
	            }
	        }


	    ?>

            </select>

        </fieldset>

        <?php submit_button('Save', 'primary','submit', TRUE); ?>

    </form>

    <?php
	}
    ?>


    <h2><?php echo esc_html(get_admin_page_title()); ?></h2>

	<p>After clicking on button above, copy/paste the response code in the input field.</p>
	<p>
	    <a href="#" class="button button-primary" onclick="requestGoogleoAuthCode()">Authenticate with google</a>
	</p>

    <form method="post" name="cleanup_options" action="">

	    <legend class="screen-reader-text"><span>Insert the response code</span></legend>
        <input type="text" class="regular-text" name="code" value="" />
        <?php submit_button('Save', 'primary','submit', TRUE); ?>
    </form>   

    <h2>Documentation</h2>

    <p>The first thing you’ll need to do is to get some credentials to use Google API’s. I’m assuming that you’ve already created a Google account and are signed in. Head over to <a href="https://console.developers.google.com/apis">Google API’s</a> site and click "Select a project" in the header.</p>

</div>