<?php

/**
 * Fired during plugin activation
 *
 * @link       http://www.tropicalseo.net
 * @since      1.0.0
 *
 * @package    DashyLite
 * @subpackage DashyLite/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    DashyLite
 * @subpackage DashyLite/includes
 * @author     Tropicalista <tropicalseotool@gmail.com>
 */
class DashyLite_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

        global $wpdb;
        $table_name = $wpdb->prefix . 'dashylite';
        $charset_collate = $wpdb->get_charset_collate();

        $sql = "CREATE TABLE $table_name (
                    id INT NOT NULL AUTO_INCREMENT,
					name varchar(255) DEFAULT NULL,
					kind varchar(255) DEFAULT NULL,
					x double DEFAULT NULL,
					y double DEFAULT NULL,
					width int(11) DEFAULT NULL,
					height int(11) DEFAULT NULL,
					settings text,
					label varchar(255) DEFAULT NULL,
					minWidth int(11) NOT NULL,
					minHeight int(11) NOT NULL,
					maxWidth int(11) NOT NULL,
					maxHeight int(11) NOT NULL,
                    PRIMARY KEY (id) )";

        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );

	}

}
